<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorator="layouts/academy"
      th:with="category=${course.skill.category.toString().toLowerCase()},
               skill=${course.skill.code.toString().toLowerCase()}">
<head>
    <title th:text="#{${'skill.' + skill}}"></title>
</head>
<body>
<div layout:fragment="academy-container">
    <div class="row">
        <div class="col-md-12 test" id="academy">

            <form meta="json"
                  method="post"
                  th:action="${'/academy/course/' + course.skill.id + '/quizz'}">

                <th:block th:include="fragments/academy::menu(${course}, 'quizz')"/>

                <div class="row body">
                    <!--/*
                        Dialog
                    */-->
                    <th:block
                            th:if="${status != null}"
                            th:include="fragments/base::dialog(${status}, ${message}, ${percent})"/>

                    <!--/*
                       Question
                    */-->
                    <ul>
                        <li th:each="question: ${course?.quiz?.questions}" class="question">
                            <ul>
                                <th:block th:with="text=${T(tbt.app.common.util.I18nUtils).get(question.text)}">
                                    <h4 th:text="${text}" class="description"></h4>
                                </th:block>

                                <li th:each="answer: ${question.answers}" class="answer">
                                    <label th:for="${'answer_' + answer.id}">
                                        <th:block th:switch="${answers != null }">
                                            <input type="radio"
                                                   th:case="${true}"
                                                   th:checked="${answers.get(question.id) == answer.id}"
                                                   th:id="${'answer_' + answer.id}"
                                                   th:name="${question.id}"
                                                   th:value="${answer.id}"/>
                                            <input type="radio"
                                                   th:case="${false}"
                                                   th:id="${'answer_' + answer.id}"
                                                   th:name="${question.id}"
                                                   th:value="${answer.id}"/>
                                        </th:block>
                                        <th:block th:text="${T(tbt.app.common.util.I18nUtils).get(answer.text)}"/>
                                    </label>
                                </li>

                            </ul>
                        </li>
                    </ul>
                </div>

                <div class="row navigation">
                    <a action="#save" class="button submit" th:text="#{ academy.button.submitQuiz }"></a>
                </div>
            </form>

        </div>
    </div>
</div>
</body>
</html>